org.keycloak.userprofile.utils

## Class UserUpdateHelper

- java.lang.Object
- - org.keycloak.userprofile.utils.UserUpdateHelper

-     public class UserUpdateHelper
      extends Object

  Author:
    Markus Till

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserUpdateHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `updateAccount(RealmModel realm, UserModel user, UserProfile updatedProfile)`
    `static void` | `updateAccountOldConsole(RealmModel realm, UserModel user, UserProfile updatedProfile)` Deprecated. Remove this method as soon as the old console is no longer part of the distribution
    `static void` | `updateIdpReview(RealmModel realm, UserModel userModelDelegate, UserProfile updatedProfile)`
    `static void` | `updateRegistrationProfile(RealmModel realm, UserModel currentUser, UserProfile updatedUser)`
    `static void` | `updateRegistrationUserCreation(RealmModel realm, UserModel currentUser, UserProfile updatedUser)`
    `static void` | `updateUserProfile(RealmModel realm, UserModel user, UserProfile updatedProfile)`
    `static void` | `updateUserResource(KeycloakSession session, UserModel user, UserRepresentation rep, boolean removeExistingAttributes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserUpdateHelper

          public UserUpdateHelper()

  - ### Method Detail

    - #### updateRegistrationProfile

          public static void updateRegistrationProfile(RealmModel realm,
                                                       UserModel currentUser,
                                                       UserProfile updatedUser)

    - #### updateRegistrationUserCreation

          public static void updateRegistrationUserCreation(RealmModel realm,
                                                            UserModel currentUser,
                                                            UserProfile updatedUser)

    - #### updateIdpReview

          public static void updateIdpReview(RealmModel realm,
                                             UserModel userModelDelegate,
                                             UserProfile updatedProfile)

    - #### updateUserProfile

          public static void updateUserProfile(RealmModel realm,
                                               UserModel user,
                                               UserProfile updatedProfile)

    - #### updateAccount

          public static void updateAccount(RealmModel realm,
                                           UserModel user,
                                           UserProfile updatedProfile)

    - #### updateAccountOldConsole

          @Deprecated
          public static void updateAccountOldConsole(RealmModel realm,
                                                                 UserModel user,
                                                                 UserProfile updatedProfile)

      Deprecated. Remove this method as soon as the old console is no longer part of the distribution

      This method should be used when account is updated through the old console where the behavior is different than when using the new Account REST API and console in regards to how user attributes are managed.

      Parameters:
        `realm` -
        `user` -
        `updatedProfile` -

    - #### updateUserResource

          public static void updateUserResource(KeycloakSession session,
                                                UserModel user,
                                                UserRepresentation rep,
                                                boolean removeExistingAttributes)

Copyright © 2021 JBoss by Red Hat. All rights reserved.